{
  "accUserMode" : 2,
  "caption" : "学生",
  "codeName" : "studentUniverEditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentUniverEditView.json",
  "name" : "studentUniverEditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSAppViewNavContexts" : [ {
    "key" : "STUDENT",
    "name" : "STUDENT",
    "value" : "1e05b8fdf1ce86b0b953a904a349ef61",
    "rawValue" : true
  } ],
  "getPSAppViewNavParams" : [ {
    "key" : "student",
    "name" : "student",
    "value" : "1e05b8fdf1ce86b0b953a904a349ef61",
    "rawValue" : true
  } ],
  "getPSControls" : [ {
    "codeName" : "UniverEditViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "univer编辑视图_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.SAVE"
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.SAVE"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "form",
    "modelid" : "AE867EB6-9B38-4EE0-8443-1CFBD807FFB7",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "UniverEditView_Form",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student/PSFORMS/UniverEditView_Form.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      }
    },
    "hookEventNames" : [ "ONCHANGE" ],
    "logicName" : "univer编辑视图_表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "onChange",
      "itemName" : "formitem",
      "logicTag" : "form",
      "logicType" : "SCRIPT",
      "name" : "logic",
      "scriptCode" : "const item = ctrl.formItems.find(x => x.name === 'age_text')\r\nif (item) {\r\n    item.state.readonly = !item.state.readonly;\r\n}"
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "STUDENTNAME",
        "codeName" : "StudentName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "field",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      }
    }, {
      "id" : "name",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "NAME",
        "codeName" : "Name"
      }
    }, {
      "id" : "age",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "AGE",
        "codeName" : "Age"
      }
    }, {
      "id" : "age_text",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "AGE",
        "codeName" : "Age"
      }
    }, {
      "id" : "rank",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "RANK",
        "codeName" : "Rank"
      }
    }, {
      "id" : "address",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      }
    }, {
      "id" : "start",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "START",
        "codeName" : "Start"
      }
    }, {
      "id" : "end",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "END",
        "codeName" : "End"
      }
    }, {
      "id" : "formitem",
      "dataType" : 25
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "studentid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage31",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage31",
      "getPSDEFormDetails" : [ {
        "caption" : "univer编辑器",
        "codeName" : "group31",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group31",
        "getPSDEFormDetails" : [ {
          "caption" : "属性",
          "codeName" : "field",
          "contentHeight" : 500.0,
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "height" : 500.0,
          "ignoreInput" : 0,
          "labelPos" : "NONE",
          "labelWidth" : 0,
          "name" : "field",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD",
            "codeName" : "Field"
          },
          "getPSEditor" : {
            "editorStyle" : "UNIVER",
            "editorType" : "TEXTBOX",
            "maxLength" : 1000,
            "name" : "field",
            "getPSSysPFPlugin" : {
              "pluginType" : "EDITOR_CUSTOMSTYLE",
              "pluginCode" : "UNIVER",
              "runtimeObject" : true
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "height" : 500,
            "heightMode" : "PX",
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "caption" : "学生标识",
        "codeName" : "studentid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "studentid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "STUDENTID",
          "codeName" : "StudentId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "studentid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    }, {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "学生基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "caption" : "姓名",
          "codeName" : "name",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "name",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "NAME",
            "codeName" : "Name"
          },
          "getPSEditor" : {
            "editorParams" : {
              "AC" : "TRUE"
            },
            "editorType" : "TEXTAREA",
            "maxLength" : 100,
            "name" : "name",
            "getPSAppDEACMode" : {
              "modelref" : true,
              "id" : "AIChat"
            },
            "getPSAppDEDataSet" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
            },
            "enableAC" : true,
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "caption" : "年龄",
          "codeName" : "age",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 100,
          "name" : "age",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "AGE",
            "codeName" : "Age"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "age",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__Student_age.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "#,##0.00",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "年龄(文本)",
          "codeName" : "age_text",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "age_text",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "AGE",
            "codeName" : "Age"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "age_text",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__Student_age.json"
            }
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "职级",
          "codeName" : "rank",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "rank",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "RANK",
            "codeName" : "Rank"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "rank",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__Rank.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "地址",
          "codeName" : "address",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "address",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ADDRESS",
            "codeName" : "Address"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "address"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "开始时间",
          "codeName" : "start",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 290.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "start",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "START",
            "codeName" : "Start"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
            },
            "editorType" : "DATEPICKER",
            "editorWidth" : 160.0,
            "name" : "start"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "结束时间",
          "codeName" : "end",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 290.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "end",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "END",
            "codeName" : "End"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
            },
            "editorType" : "DATEPICKER",
            "editorWidth" : 160.0,
            "name" : "end"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "年龄只读",
          "codeName" : "formitem",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem",
          "noPrivDisplayMode" : 1,
          "getPSDEFDGroupLogics" : [ {
            "groupOP" : "AND",
            "logicCat" : "SCRIPTCODE_CHANGE",
            "logicType" : "GROUP",
            "getPSDEFDLogics" : [ {
              "logicType" : "SINGLE"
            } ],
            "notMode" : false
          } ],
          "getPSEditor" : {
            "editorType" : "SWITCH",
            "name" : "formitem"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : 12,
          "childColMD" : 12,
          "childColSM" : 12,
          "childColXS" : 12,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "codeName" : "mdctrl1",
        "contentType" : "REPEATER",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl1",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "codeName" : "mdctrl2",
        "getContentPSControl" : {
          "codeName" : "Dsjbd",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
            }
          },
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD/PSFORMS/Dsjbd.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom",
            "actionName" : "GETDRAFTFROM",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraftfrom",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft",
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
            }
          },
          "logicName" : "多数据表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BXDID",
              "codeName" : "BXDId"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BXDNAME",
              "codeName" : "BXDName"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "bxdname",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BXDNAME",
              "codeName" : "BXDName"
            }
          }, {
            "id" : "bxdid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BXDID",
              "codeName" : "BXDId"
            }
          } ],
          "getPSDEFormPages" : [ {
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "caption" : "报销单基本信息",
              "codeName" : "group1",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "name" : "group1",
              "getPSDEFormDetails" : [ {
                "caption" : "报销单名称",
                "codeName" : "bxdname",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "bxdname",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "BXDNAME",
                  "codeName" : "BXDName"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "maxLength" : 200,
                  "name" : "bxdname"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false,
              "showCaption" : true
            }, {
              "caption" : "报销单标识",
              "codeName" : "bxdid",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bxdid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BXDID",
                "codeName" : "BXDId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "bxdid"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
            }
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
            }
          },
          "noTabHeader" : true,
          "name" : "mdctrl2_form",
          "modelid" : "69882842-D584-4524-9EA6-A1158EC1C86C",
          "modeltype" : "PSDEFORM_EDITFORM"
        },
        "contentType" : "FORM",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "name" : "mdctrl2",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    }, {
      "caption" : "其它",
      "codeName" : "formpage2",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage2",
      "getPSDEFormDetails" : [ {
        "caption" : "操作信息",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updatedate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      }
    },
    "noTabHeader" : false,
    "name" : "form",
    "modelid" : "7249EFC8-2FCA-49B1-B200-E34A38FE2DE7",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "UniverEditViewdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "caption" : "学生",
    "codeName" : "UniverEditViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "UniverEditView",
  "getPSDEViewId" : "5B5CDDA6-AD74-4891-8FA7-459A391A2D3E",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "univer编辑视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "d8767bdfbeef88a2ea716c7f4a24aa8f",
  "modeltype" : "PSAPPDEVIEW"
}